// Hitachi LCD routines.  8Bit mode only
// this version currently set for fixed allocation of pins...

#define LCD_E                   P2_7  //change so that can allocate whatever pin you like
#define LCD_RS                  P2_6  //change so that can allocate whatever pin you like
#define LCD_RW                  P2_5  //change so that can allocate whatever pin you like

//LCD routines
void LCD_initialise();
void LCD_turnoncursor();
void LCD_turnoffcursor();
void LCD_cleardisplay();
void LCD_newline();
void LCD_placecursor(unsigned char place);
void LCD_download_custom_char(unsigned int CGRAMaddress, unsigned char character[]);
void LCD_busy();
void LCD_command(unsigned char command);
void LCD_display_string(unsigned char displaystring[]);
void send_LCD_character(unsigned char character);
void LCD_delay();

//xdata unsigned char l;
//xdata unsigned int j;